﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" />

<!-- Changing options in this file will only require the HTML pages to be regenerated, not the XML files -->

<!-- ************Language Options***************************** -->
<!-- Note that accented characters will usually not work -->

<!-- The following 4 controls the text in the movies detail page. -->
<!-- You *must* fill all 4 out to take affect in the regular movie details page (LowList=false). -->
<!-- When LowList=true, you can just fill out DirectedBy and/or Starring -->
<!-- Portuguese Example: <xsl:variable name="WrittenBy">Argumento</xsl:variable> -->
<xsl:variable name="DirectedBy"></xsl:variable>
<xsl:variable name="WrittenBy"></xsl:variable>
<xsl:variable name="Duration"></xsl:variable>
<xsl:variable name="Starring"></xsl:variable>

<xsl:variable name="Other">Other</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genres">Genres</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="TitleText">Title</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Rating">Rating</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Year">Year</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Library">Library</xsl:variable><!-- Seen in Categories and Full-Poster Mode -->
<xsl:variable name="Cast">Cast</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Director">Director</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Writer">Writer</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Country">Country</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Set">Set</xsl:variable><!-- Seen in Categories -->
<xsl:variable name="Genre">GENRE</xsl:variable><!-- Seen in LowList -->
<xsl:variable name="Watch">WATCH</xsl:variable><!-- Seen in ForComputer -->
<xsl:variable name="Part">Part</xsl:variable><!-- Seen in ForComputer and Movies Companion Pages -->
<xsl:variable name="Trailer">TRAILER</xsl:variable><!-- Seen in ForComputer -->
<xsl:variable name="Season">Season</xsl:variable><!-- Seen in List Mode -->
<xsl:variable name="Specials">Specials</xsl:variable><!-- Seen in List Mode -->
<xsl:variable name="BackToDetails">Back to Details</xsl:variable><!-- When you have the movie and/or TV Companion pages on (tv-extras or extras=true), you will see this message to take you back to the details. -->
<xsl:variable name="PlayAllText">Play All</xsl:variable><!-- This controls what "Play All" says in the TV details page -->
<xsl:variable name="Page">Page</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="OutOf">out of</xsl:variable><!-- Paging text in the Wall view -->
<xsl:variable name="EnterPassword">Enter Password.</xsl:variable><!-- Password dialog box -->
<xsl:variable name="IncorrectPassword">Incorrect Password.</xsl:variable><!-- Password dialog box -->


<!-- ************Parental Options***************************** -->
<xsl:variable name="ParentalControl">false</xsl:variable>
<xsl:variable name="NumberOfChildren">3</xsl:variable><!-- up to 3 -->
<xsl:variable name="YoungestChildsAge">8</xsl:variable><!-- use this one if you only have one child -->
<xsl:variable name="MiddleChildsAge">12</xsl:variable>
<xsl:variable name="OldestChildsAge">14</xsl:variable>
<xsl:variable name="MiddleChildsPassword">1ad</xsl:variable>
<xsl:variable name="OldestChildsPassword">gjm</xsl:variable>
<xsl:variable name="MasterPassword">ptw</xsl:variable>
<xsl:variable name="ParentalPlayFromWall"></xsl:variable><!-- Number or TVID to play from wall when ParentalControl=true. This takes precedence over FilterNavBar Controls and Open TVID Options. -->


<!-- ************Computer Mode Options***************************** -->
<!-- Use this if you intend to use this skin *ONLY* for your computer's web browser. -->
<xsl:variable name="ForComputer">false</xsl:variable>

<!-- This will create a "WATCH" link that will link to a playlist file that you must provide in the output jukebox folder. -->
<!-- ex: 300.[CD1].avi 300.[CD1].pls -->
<!-- You must then put the extension in this variable (ex: pls) for this to work -->
<xsl:variable name="PlaylistExtension"></xsl:variable>


<!-- ************Categories Page Options***************************** -->
<!-- 'true' puts a customizable link in the Categories page. 'false' shows no link. -->
<xsl:variable name="CustomLink">false</xsl:variable>

<!-- The URL of where you want the link to take you. -->
<xsl:variable name="URL">../index.htm</xsl:variable>

<!-- What you want the link to say. -->
<xsl:variable name="LinkText">YOUR LINK HERE</xsl:variable>


<!-- ************Detail Page Options***************************** -->

<!-- If you want to display the number rating next to the stars, set this to true -->
<!-- If you DO NOT want to display the number rating next to the starts, set this to false -->
<xsl:variable name="number-rating">false</xsl:variable>

<!-- Set this to true if you want to use an overlay for the poster in Movie Detail view. -->
<!-- If you want to change it, the overlay is located at /html/pictures/detail/overlay.png -->
<!-- If you set this to true, your posters must be at least as large the posters.width -->
<!-- and posters.height in the skin.properties or else it will tiled. -->
<!-- If either posters.reflection or posters.perspective are set to to true, this will be disabled. -->
<xsl:variable name="posteroverlay">false</xsl:variable>

<!-- Set this to true if you want to use an overlay for the poster in TV Detail and movie LowList view. -->
<!-- false: no overlay -->
<!-- true: glass overlay. If you want to change it, the overlay is located at /html/pictures/detail/tvposteroverlay.png -->
<!-- box: source box overlay (Blu-ray, HD-DVD, etc). If you want to change them, the boxes are located in /html/pictures/boxes-->
<xsl:variable name="LowListOverlay">false</xsl:variable>

<!-- true  : Shows the video source -->
<!-- false : Shows the video codec -->
<!-- primary : Shows the video source if available, otherwise, shows the video codec -->
<!-- secondary : Shows the video codec if available, otherwise, shows the video source -->
<xsl:variable name="videosource">false</xsl:variable>

<!-- Set this to 'true' to have a "companion page" for all movie detail pages. -->
<!-- The companion page gives you a full listing of clickable links (year, genres, directors, actors, etc) and extras/trailer -->
<xsl:variable name="extras">false</xsl:variable>

<!-- 'true' gives you a companion page for TV shows. -->
<!-- The companion page gives you a full episode listing. -->
<xsl:variable name="tv-extras">false</xsl:variable>

<!-- 'true' to display the Library Description. 'false' to hide it. -->
<xsl:variable name="ShowLibrary">false</xsl:variable>

<!-- In the movie details view, 'false' will hide the "WATCH" and everything in that row. -->
<!-- This includes "TRAILER" and the MultiPart indicator. Trailers can still be accessible -->
<!-- if you have the extras/Companion page on, and "1", "2", "3", etc will still play your MultiPart. -->
<!-- MultiPart links will also be found n the extras/Companion page. -->
<xsl:variable name="WatchBar">true</xsl:variable>

<!-- Adjustable movie plot length, by number of characters. -->
<!-- If you've set WatchBar to false, the skin will add an additional 150 characters. -->
<!-- Using LowList will automatically subtract 450 characters from this value. -->
<!-- Also note that this will not work if you're manually making NFOs with line breaks in the plot. -->
<xsl:variable name="PlotLength">750</xsl:variable>

<!-- Setting this to true will use dimmed textures -->
<xsl:variable name="dim">true</xsl:variable>
<!-- See note below -->

<!-- If you set this to true, make sure to set fanart.movie.width=1280 in the skin.properties -->
<!-- The shift-poster value in the exportdetails_item_popcorn.css has no bearing on this mod. -->
<xsl:variable name="coikenMod">false</xsl:variable>
<!-- See note below -->

<!-- Note that if both dim AND coikenMod are set to true, -->
<!-- the movie details page will use the coikenMod, but the TV details page will use dim. -->

<!-- Set this to true for right-aligned languages. Hebrew/Sratim users do *not* have to enable this - it is done automatically. -->
<xsl:variable name="AlignRight">false</xsl:variable>

<!-- true: when you hit Enter on an episode, will play episode-after-episode starting from that episode. Play will only play that single episode. Note that RAR (Llink) and disk image (ISO, etc) files will only play as *single* episodes. -->
<!-- false: hitting Enter or Play on an episode will only play that episode. -->
<xsl:variable name="TVPlaylist">true</xsl:variable>

<!-- output : shows video output, such as 720p, 1080p, 1080i, NTSC, or PAL -->
<!-- fps : shows framerate, such as 23.976, 24, 25, 29.97, 30, 50, 59, 59.94, 60 -->
<xsl:variable name="VideoOutputOrFPS">output</xsl:variable>


<!-- ***NOT USED*** Detail Option #1: List TV episodes in reversed order (last to first) -->
<xsl:variable name="skin-reverseEpisodeOrder">false</xsl:variable>
<!-- ***NOT USED*** Detail Option #2: Where to show Play All link on the details page -->
<!-- Valid values are: top, bottom, false/none, where top is now the default for movies -->
<xsl:variable name="skin-playAllMovie">top</xsl:variable>
<xsl:variable name="skin-playAllTV">bottom</xsl:variable>
<!-- ***NOT USED*** Detail Option #3: Text to use for the Play All link on the details page -->
<xsl:variable name="skin-playAllText">.</xsl:variable>


<!-- *****************Index Page Options********************** -->

<!-- 'true' for rounded corners. 'false' for squared corners. 'box' for source boxes. Use "2 ROWS" or "3 ROWS" in skin.properties -->
<!-- 'awesome' for 3 rows of rounded popups/squared thumbnails. Use "3 ROWS POPUP" in skin.properties -->
<!-- 'awesome2' for 2 rows of rounded popups/squared thumbnails. Use "2 ROWS POPUP" in skin.properties -->
<!-- 'list' for rounded popups/squared thumbnails. Use "LIST" in skin.properties. Also set tv-banners/-set=false for a true List Mode. -->
<!-- for all options, make sure to pound and unpound the proper lines in the skin.properties -->
<xsl:variable name="roundedcorners">awesome</xsl:variable>
<!-- MAKE SURE YOU POUND AND UNPOUND THE PROPER LINES IN THE SKIN.PROPERTIES BEFORE REBUILDING -->
<!-- The rounded corners you get from the "true" option cannot co-exist with the popup thumbnails from "awesome" -->

<!-- 'true' uses 8 TV banners-per-page for when you filter to only show TV shows. Use "8 BANNERS" in skin.properties -->
<!-- 'false' uses thumbnails for when you filter to only show TV shows -->
<!-- '12' uses 12 TV banners-per-page for when you filter to only show TV shows. Use "12 BANNERS" in skin.properties -->
<!-- '14' uses 14 TV banners-per-page for when you filter to only show TV shows. Use "14 BANNERS" in skin.properties -->
<!-- for all options, make sure to pound and unpound the proper lines in the skin.properties -->
<xsl:variable name="tv-banners">true</xsl:variable>
<!-- MAKE SURE YOU POUND AND UNPOUND THE PROPER LINES IN THE SKIN.PROPERTIES BEFORE REBUILDING -->

<!-- Same as above, but for TV sets (when you select a season). -->
<!-- If you're using 'true' above, you must to set this to 'true' also. Same for '12' and '14'. -->
<!-- Otherwise, the banners are going to be the incorrect dimensions. -->
<!-- for all options, make sure to pound and unpound the proper lines in the skin.properties -->
<xsl:variable name="tv-banners-set">true</xsl:variable>
<!-- MAKE SURE YOU POUND AND UNPOUND THE PROPER LINES IN THE SKIN.PROPERTIES BEFORE REBUILDING -->

<!-- 'true' uses banner files. 'false' uses online banners, which requires an active internet connection. -->
<!-- Leave this to 'true'. -->
<xsl:variable name="tv-banners-file">true</xsl:variable>

<!-- Uses fanart (Set_Set Name_1.fanart.jpg) for Set backgrounds in the wall. -->
<!-- Must set mjb.sets.indexFanart=true in the moviejukebox.properties -->
<!-- Dimensions are still based on fanart.movie/tv.width/height in the skin.properties -->
<xsl:variable name="SetFanart">false</xsl:variable>

<!-- If you're using list view, you can choose 1 of the 3 following details. -->
<!-- year, certification, rating -->
<!-- year is the release year. certification is PG-13, etc. rating is the IMDb number rating. -->
<xsl:variable name="ListDetail">rating</xsl:variable>


<!-- Show movie/TV year after title -->
<xsl:variable name="skin-year">false</xsl:variable>
<xsl:variable name="skin-yearTV">false</xsl:variable>

<!-- Show certification, runtime, and/or rating after title -->
<xsl:variable name="skin-certification">false</xsl:variable>
<xsl:variable name="skin-runtime">false</xsl:variable>
<xsl:variable name="skin-rating">false</xsl:variable>


<!-- If you want to hide the Navigation Bar (T/M and C) in the Wall view, set this to 'false' -->
<xsl:variable name="NavBar">true</xsl:variable>

<!-- If you want to hide the Filter Bar (a, G, and Filter Bar) in the Wall view, set this to 'false' -->
<xsl:variable name="FilterBar">true</xsl:variable>

<!-- FilterNavBar Controls -->
<!-- Remove COLORS from here if you intend to use any of the WallCOLORUrls below. -->
<xsl:variable name="filter-left">red</xsl:variable><!-- Scroll LEFT on the Filter -->
<xsl:variable name="filter-right">blue</xsl:variable><!-- Scroll RIGHT on the Filter -->
<xsl:variable name="category"></xsl:variable><!-- Go to the Categories screen -->
<xsl:variable name="alpha">green</xsl:variable><!-- Choose the ALPHA-NUMERIC Filter -->
<xsl:variable name="genre">yellow</xsl:variable><!-- Choose the GENRE Filter -->
<xsl:variable name="filter">url</xsl:variable><!-- Applies the selected Filter ("url" is the "TITLE" button) -->
<xsl:variable name="TVLink"></xsl:variable><!-- TVID button (for "T") that takes you to your TV Shows (Other_TV Shows_1.html) -->
<xsl:variable name="MoviesLink"></xsl:variable><!-- TVID button (for "M") that takes you to your Movies (file specified in next MoviesURL) -->
<xsl:variable name="MoviesURL">../index.htm</xsl:variable><!-- Filename of where you want the "M" link to take you. "../index.htm" reloads the Jukebox. Example: Other_HD_1.html, Other_Movies_1.html, etc. -->
<!-- 'copy' reportedly does not work for any of these. -->

<!-- ************Open TVID Options***************************** -->
<!-- Variables starting with "Wall" will only work from the Wall. Otherwise, it'll work universally. -->
<!-- You can put full file paths here, or something like Other_TV Shows_1.html -->
<!-- Before you fill these in, make sure you DO NOT use any of these TVIDs in the FilterNavBar Controls above. -->
<xsl:variable name="WallRedURL"></xsl:variable><!-- To use this, you must remove "red" from filter-left above -->
<xsl:variable name="WallGreenURL"></xsl:variable><!-- To use this, you must remove "green" from alpha above -->
<xsl:variable name="WallYellowURL"></xsl:variable><!-- To use this, you must remove "yellow" from genre above -->
<xsl:variable name="WallBlueURL"></xsl:variable><!-- To use this, you must remove "blue" from filter-right above -->
<xsl:variable name="WallPlay"></xsl:variable><!-- Works in Categories and if ParentalPlayFromWall is being used. -->
<xsl:variable name="WallMenu"></xsl:variable>
<xsl:variable name="RedURL"></xsl:variable><!-- Red from Details page -->
<xsl:variable name="GreenURL"></xsl:variable><!-- Green from Details page -->
<xsl:variable name="YellowURL"></xsl:variable><!-- Yellow from Details page -->
<xsl:variable name="BlueURL"></xsl:variable><!-- Blue from details page -->
<xsl:variable name="Angle"></xsl:variable><!-- Reportedly does not work -->
<xsl:variable name="Stop"></xsl:variable>
<xsl:variable name="Repeat"></xsl:variable>
<xsl:variable name="Source"></xsl:variable>
<xsl:variable name="Setup"></xsl:variable>
<xsl:variable name="Delete"></xsl:variable>
<xsl:variable name="Title"></xsl:variable><!-- To use this, you must remove "url" from filter above -->
<xsl:variable name="Info"></xsl:variable>


<!-- ************LowList Options***************************** -->
<!-- This gives the Movie details a similar layout as the TV details. -->
<!-- It will also override dim and coikenMod. -->
<!-- You must set fanart.movie.width=1280, I repeat 1280, in the skin.properties if you are setting this to 'true'. -->
<!-- Furthermore, I recommend setting posters.height=332 and posters.width=224 in the skin.properties. -->
<xsl:variable name="LowList">false</xsl:variable>

<!-- LowList tab options. Setting one or both of these may cause the tabs to wrap and break the skin, especially with trailers, multipart, and numbered-ratings - and especially with dim=false -->
<xsl:variable name="ShowFilesize">false</xsl:variable>
<!-- If there are only 1 or 2 audio languages, the skin will display both (in a tab) like this: "[MultiAudio Icon]en/es" -->
<!-- 3 or more audio languages will look like this: "3[MultiAudio Icon]en/es/..." -->
<xsl:variable name="ShowMultiAudio">false</xsl:variable>

<!-- LowList flag options. You should set at least ONE of these to false, or else the flag row may wrap and break the skin. -->
<!-- Setting ShowStudioField=true does NOT mean the skin will automatically show a studio. You must make sure a flag exists in the html/pictures/studios folder. -->
<xsl:variable name="ShowVideoSource">true</xsl:variable>
<xsl:variable name="ShowVideoCodec">true</xsl:variable>
<xsl:variable name="ShowAudioCodec">true</xsl:variable>
<xsl:variable name="ShowSubtitles">true</xsl:variable>
<xsl:variable name="ShowContainer">false</xsl:variable>
<xsl:variable name="ShowVideoOutput">true</xsl:variable>
<xsl:variable name="ShowFrameRate">true</xsl:variable>
<xsl:variable name="ShowAspectRatio">true</xsl:variable>
<xsl:variable name="ShowStudioField">true</xsl:variable>

<!-- This will replace the director with the filename required to see the studio flag. ex: Warner Bros. Pictures.png -->
<!-- Find a suitable image (width=95px, height=35px). Rename it based on the StudioDebug value. Place it in html/pictures/studios. Run YAMJ. -->
<xsl:variable name="StudioDebug">false</xsl:variable>

</xsl:stylesheet>